.contacts-form {
  flex: 1;

  &__fields {
    display: flex;
    flex-flow: wrap;
    justify-content: space-between;
  }

  &__title {
    margin-bottom: rem(10);

    font-size: rem(32);

    @media (max-width: 768px) and (min-width: 561px){
      margin-bottom: rem(44);

      font-size: rem(44);
    }
  }

  &__description {
    display: block;
    margin-bottom: rem(20);
  }

  .base-label {
    margin-bottom: rem(2);

    @media (max-width: 768px) and (min-width: 561px){
      margin-bottom: rem(4);
    }
  }

  .js-validate-error-field {
    border: none !important;
    color: #000 !important;
  }

  .js-validate-error-label, .base-file-picker__error {
    margin-top: rem(2);

    font-family: $OpenSans;
    font-size: rem(12);
    line-height: 1.3;

    color: #ff2525 !important;

    @media (max-width: 768px) and (min-width: 561px) {
      margin-top: rem(4);

      font-size: rem(17);
    }
  }

  .base-input {
    flex: 0 0 calc(50% - 1rem);
    width: calc(50% - 1rem);

    display: flex;
    flex-flow: column;

    margin-bottom: rem(8);
    height: rem(80);

    @media (max-width: 768px) and (min-width: 561px) {
      height: rem(120);
      margin-bottom: rem(12);
    }

    @media (max-width: 560px) {
      flex: 100%;
      width: 100%;
    }

    &__field {
      height: rem(40);
      padding: rem(8) rem(12);

      background: #f5f5f5;
      outline: none;

      @media (max-width: 768px) and (min-width: 561px) {
        height: rem(60);
        padding: rem(12) rem(18);
      }
    }
  }

  .base-file-picker {
    position: relative;

    flex: 0 0 calc(50% - 1rem);
    width: calc(50% - 1rem);

    overflow: hidden;
    cursor: pointer;

    @media (max-width: 560px) {
      flex: 100%;
      width: 100%;
      min-height: rem(80);
      margin-bottom: rem(8);
    }

    &__wrapper {
      position: relative;

      display: flex;
      align-items: center;
    }

    &__button {
      flex: 0 0 rem(98);
      max-width: rem(98);

      padding: rem(10) rem(14);

      font-weight: 400!important;

      background: #f5f5f5;

      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;

      &.active {
        position: relative;

        flex: 0 0 100%;
        max-width: 100%;

        padding-left: rem(38);
        padding-right: rem(110);

        &::before {
          content: '';

          position: absolute;

          left: rem(15);
          top: 50%;

          transform: translateY(-50%);

          width: rem(14);
          height: rem(19);

          background: url('../img/icons/file.svg') 0 0 no-repeat;
          background-size: contain;
        }
      }

      @media (max-width: 768px) and (min-width: 561px) {
        flex: 0 0 rem(148);
        max-width: initial;
        padding: rem(15) rem(20);
      }

      @media (max-width: 560px) {
        flex: 0 0 35%;
        max-width: initial;
        width: 35%;
      }
    }

    &__close {

      &.active {
        display: block;
      }

      display: none;
      position: absolute;

      right: rem(4);
      top: 50%;

      transform: translateY(-50%);

      padding: rem(8);
      width: rem(32);
      height: rem(32);

      background: url('../img/icons/close-black.svg') center center no-repeat;
      background-size: rem(10) rem(10);
    }

    &__size {
      margin-left: rem(5);

      font-size: rem(12);
      opacity: .5;

      @media (max-width: 768px) and (min-width: 561px) {
        margin-left: rem(10);
        font-size: rem(18);
      }
    }

    &__progress {
      position: absolute;

      bottom: 0;
      left: 0;

      width: 0%;
      height: rem(4);

      background: #3d5afe;

      @media (max-width: 768px) and (min-width: 561px) {
        height: rem(6);
      }
    }

    &__progress-count {
      position: absolute;

      right: rem(36);
      top: 50%;

      transform: translateY(-50%);

      font-weight: 400!important;
      opacity: .3;
    }

    input[type=file]{
      display: none;
    }
  }

  .base-textarea {
    flex: 0 0 100%;
    width: 100%;

    display: flex;
    flex-flow: column;

    margin-bottom: rem(40);

    @media (max-width: 768px) and (min-width: 561px) {
      margin-bottom: rem(60);
    }

    textarea {
      height: rem(150);
      padding: rem(8) rem(12);

      background: #f5f5f5;
      outline: none;
      resize: none;

      @media (max-width: 768px) and (min-width: 561px) {
        height: rem(225);
        padding: rem(12) rem(18);
      }
    }
  }

  .base-checkbox {
    position: relative;

    display: flex;
    cursor: pointer;

    &__wrapper {
      min-height: rem(42);

      @media (max-width: 768px) {
        min-height: rem(70);
      }

      @media (max-width: 560px) {
        min-height: rem(68);
      }
    }

    input {
      display: none;
    }

    &__field {
      position: absolute;

      top: rem(1);
      left: 0;

      width: rem(22);
      height: rem(22);

      border: rem(2) solid #000;

      @media (max-width: 768px) and (min-width: 561px) {
        top: rem(1.5);
        width: rem(33);
        height: rem(33);

        border: rem(3) solid #000;
      }
    }

    input:checked {
      & + .base-checkbox__field {
        &::before {
          content: '';

          position: absolute;

          top: 40%;
          left: 50%;

          transform: translateX(-50%) translateY(-50%) rotate(-135deg);

          width: rem(8);
          height: rem(12);

          border-top: rem(2) solid #000;
          border-left: rem(2) solid #000;

          @media (max-width: 768px) and (min-width: 561px) {
            width: rem(12);
            height: rem(18);

            border-top: rem(3) solid #000;
            border-left: rem(3) solid #000;
          }
        }
      }
    }

    &__label {
      padding-left: rem(37);

      @media (max-width: 768px) and (min-width: 561px) {
        padding-left: rem(50);
      }

      a {
        color: #3d5afe;
      }
    }
  }

  .base-button {
    padding: rem(10) rem(66);

    border: rem(4) solid #000;
    background-color: transparent;

    cursor: pointer;

    @media (max-width: 768px) and (min-width: 561px) {
      padding: rem(15) rem(88);

      border: rem(5) solid #000;
    }

    &:focus {
      outline: none;
    }

    &_cancel {
      padding: rem(16);
      margin-left: rem(24);

      border: none;

      @media (max-width: 768px) and (min-width: 561px) {
        padding: rem(24);
      }

      @media (max-width: 560px) {
        margin-left: 0;
        margin-top: rem(16);
      }

    }
  }

  &__btns {
    display: flex;

    @media (max-width: 560px) {
      flex-flow: column;
      align-items: flex-start;
    }
  }
}
